QuickHashIntStringHash::set
Reflection
QuickHashIntStringHash
PHP Manual

# QuickHashIntStringHash::update

(PECL quickhash >= Unknown)

QuickHashIntStringHash::update — This method updates an entry in the hash with a new value

### Descrição

public bool QuickHashIntStringHash::update ( int `$key` , string `$value` )

This method updates an entry with a new value, and returns whether the entry was update. If there are duplicate keys, only the first found element will get an updated value. Use QuickHashIntStringHash::CHECK_FOR_DUPES during hash creation to prevent duplicate keys from being part of the hash.

### Parâmetros

`key`

  The key of the entry to add.

`value`

  The new value for the entry. If a non-string is passed, it will be converted to a string automatically if possible.

### Valor Retornado

`TRUE` when the entry was found and updated, and `FALSE` if the entry was not part of the hash already.

### Exemplos

Exemplo #1 QuickHashIntStringHash::update() example

`<?php
$hash->add( 161803398, "--" );
$hash->add( 314159265, "a lot" );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
var_dump( $hash->update( 314159265, "a lot plus one" ) );
var_dump( $hash->update( 314159999, "a lot plus one" ) );
echo $hash->get( 161803398 ), "\n";
echo $hash->get( 314159265 ), "\n";
?>`

O exemplo acima irá imprimir algo similar à:

    --
    a lot
    bool(true)
    bool(false)
    --
    a lot plus one

QuickHashIntStringHash::set
Reflection
QuickHashIntStringHash
PHP Manual